#!/bin/sh
# shellcheck disable=SC2015
set -e

SCRIPT_PATH="${SCRIPT_PATH:-$(dirname "$0")}"
. "${SCRIPT_PATH}/functions.sh"

# Print the first IPv6 gateway we find
# shellcheck disable=SC3003
IFS=$'\n' interfaces | while read -r _ mac iface context
do
	ip6="$(read_conf "$context" IP6)"
	gw6="$(read_conf "$context" GATEWAY6)"

	[ -n "$gw6" ] && [ -n "$ip6" ] && printf 'ipv6_defaultrouter="%s"\n' "$gw6" && break || true
done

# Print the first IPv4 gateway we find
# shellcheck disable=SC3003
IFS=$'\n' interfaces | while read -r _ mac iface context
do
	ip4="$(read_conf "$context" IP)"
	gw4="$(read_conf "$context" GATEWAY)"

	[ -n "$gw4" ] && [ -n "$ip4" ] && printf 'defaultrouter="%s"\n' "$gw4" && break || true
done
